import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
var _excluded = ["id", "label", "nodeLabel", "fullWidth", "successText", "errorText", "alertText", "helpText", "onChange", "disabled", "className"];
import PropTypes from 'prop-types';
import AtomCheckbox, { atomCheckboxSizes, atomCheckboxStatus } from '@s-ui/react-atom-checkbox';
import MoleculeField from '@s-ui/react-molecule-field';
import cx from 'classnames';
import { BASE_CLASS } from './settings.js';
import { jsx as _jsx } from "react/jsx-runtime";
var MoleculeCheckboxField = function MoleculeCheckboxField(_ref) {
  var id = _ref.id,
    label = _ref.label,
    nodeLabel = _ref.nodeLabel,
    fullWidth = _ref.fullWidth,
    successText = _ref.successText,
    errorText = _ref.errorText,
    alertText = _ref.alertText,
    helpText = _ref.helpText,
    onChange = _ref.onChange,
    disabled = _ref.disabled,
    className = _ref.className,
    props = _objectWithoutPropertiesLoose(_ref, _excluded);
  return /*#__PURE__*/_jsx("div", {
    className: cx(BASE_CLASS, className),
    children: /*#__PURE__*/_jsx(MoleculeField, {
      name: id,
      label: label,
      nodeLabel: nodeLabel,
      fullWidth: fullWidth,
      successText: successText,
      errorText: errorText,
      alertText: alertText,
      helpText: helpText,
      onChange: onChange,
      inline: true,
      reverse: true,
      isAligned: true,
      disabled: disabled,
      children: /*#__PURE__*/_jsx(AtomCheckbox, _extends({
        id: id,
        disabled: disabled,
        onChange: onChange
      }, props))
    })
  });
};
MoleculeCheckboxField.displayName = 'MoleculeCheckboxField';
export default MoleculeCheckboxField;
export { atomCheckboxStatus as moleculeCheckboxFieldStatus, atomCheckboxSizes as moleculeCheckboxFieldSizes };